commit:     dcdd744209d2588b71d022741fe96b27f9be2e4a
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Fri Dec 25 08:36:08 2020 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Fri Dec 25 09:13:46 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=dcdd7442

dev-python/twine: Bump to 3.3.0

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/twine/Manifest           |  1 +
 dev-python/twine/twine-3.3.0.ebuild | 66 +++++++++++++++++++++++++++++++++++++
 2 files changed, 67 insertions(+)

diff --git a/dev-python/twine/Manifest b/dev-python/twine/Manifest
index 5879478ddd5..03a73d81249 100644
--- a/dev-python/twine/Manifest
+++ b/dev-python/twine/Manifest
@@ -1 +1,2 @@
 DIST twine-3.2.0.tar.gz 145280 BLAKE2B 
b25fa984486a375e09705703a47994b529f6e5b48c6733c0a07b57bec6c0dfcdf4096d6ac6b0f9b7a7bfebfb32ea1cfb49c5de79f29495eb2a8fc59a5f8de4e5
 SHA512 
9959430913ea570d22f2d8b94e929af36b409b71691b3f66de8ddb77cfbfbe36590e21a6062db2a4a4f56ce2eb96984b0a474a93ea96b7734f53ada7a6411c28
+DIST twine-3.3.0.tar.gz 148996 BLAKE2B 
60668acd0481534631ca0ecf3c755df7e9e46c6d183d0f1c73ed7467cfecc144878d6ccf7ef2ee62efa17eb5629f5ed74c77c8ae4d57ef16530fad31afe40d97
 SHA512 
94fc7a9b3f2b5fc7c06baf55debf4fd55f6a2b4c4321c9bff46b844166769ce8bdcab10355c4967998149b62e13b26e11a30ff66042bfdd5af24d448321fd291

diff --git a/dev-python/twine/twine-3.3.0.ebuild 
b/dev-python/twine/twine-3.3.0.ebuild
new file mode 100644
index 00000000000..6dc766493a0
--- /dev/null
+++ b/dev-python/twine/twine-3.3.0.ebuild
@@ -0,0 +1,66 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+DISTUTILS_USE_SETUPTOOLS=rdepend
+PYTHON_COMPAT=( python3_{6,7,8,9} pypy3 )
+
+inherit distutils-r1
+
+DESCRIPTION="Collection of utilities for publishing packages on PyPI"
+HOMEPAGE="https://twine.readthedocs.io/ https://github.com/pypa/twine 
https://pypi.org/project/twine/";
+SRC_URI="https://github.com/pypa/twine/archive/${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~sparc ~x86 
~x64-macos"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+BDEPEND="
+       test? (
+               dev-python/jaraco-envs[${PYTHON_USEDEP}]
+               dev-python/jaraco-functools[${PYTHON_USEDEP}]
+               dev-python/munch[${PYTHON_USEDEP}]
+               dev-python/portend[${PYTHON_USEDEP}]
+               dev-python/pretend[${PYTHON_USEDEP}]
+               dev-python/pypiserver[${PYTHON_USEDEP}]
+               dev-python/pytest[${PYTHON_USEDEP}]
+       )
+"
+RDEPEND="
+       >=dev-python/tqdm-4.14[${PYTHON_USEDEP}]
+       >=dev-python/pkginfo-1.4.2[${PYTHON_USEDEP}]
+       >=dev-python/readme_renderer-21.0[${PYTHON_USEDEP}]
+       >=dev-python/requests-2.20.0[${PYTHON_USEDEP}]
+       >=dev-python/requests-toolbelt-0.8.0[${PYTHON_USEDEP}]
+       $(python_gen_cond_dep 'dev-python/importlib_metadata[${PYTHON_USEDEP}]' 
python3_{6,7} pypy{,3})
+       >=dev-python/keyring-15.1[${PYTHON_USEDEP}]
+       >=dev-python/rfc3986-1.4.0[${PYTHON_USEDEP}]
+       >=dev-python/colorama-0.4.3[${PYTHON_USEDEP}]
+"
+
+python_prepare_all() {
+       # avoid a setuptools_scm dependency
+       sed -i "s:use_scm_version=True:version='${PV}',name='${PN//-/.}':" 
setup.py || die
+       sed -r -i 
"s:setuptools(_|-)scm[[:space:]]*([><=]{1,2}[[:space:]]*[0-9.a-zA-Z]+|)[[:space:]]*::"
 \
+               setup.cfg || die
+
+       # requires internet
+       sed -e 's:test_check_status_code_for_wrong_repo_url:_&:' \
+               -i tests/test_upload.py || die
+       rm -f tests/test_integration.py || die
+       # pytest-socket dep relevant only to test_integration, and upstream
+       # disables it anyway
+       sed -i -e '/--disable-socket/d' pytest.ini || die
+
+       sed -i -e '/--cov/d' pytest.ini || die
+
+       distutils-r1_python_prepare_all
+}
+
+python_test() {
+       distutils_install_for_testing
+       pytest -vv || die "Tests fail with ${EPYTHON}"
+}

Reply via email to